{"openapi":"3.0.1","info":{"title":"Suscribly API","description":"API Documentation for Suscribly System","version":"1.0.0"},"servers":[{"url":"http://api.suscribly.com","description":"Generated server url"}],"security":[{"bearerAuth":[]}],"paths":{"/api/webhook_delivery/{id}":{"get":{"tags":["webhook-delivery-controller"],"operationId":"findById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryResponse"}}}}}},"put":{"tags":["webhook-delivery-controller"],"operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWebhookDeliveryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryResponse"}}}}}},"delete":{"tags":["webhook-delivery-controller"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/webhook/{id}":{"get":{"tags":["webhook-controller"],"operationId":"findById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookResponse"}}}}}},"put":{"tags":["webhook-controller"],"operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateWebhookRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookResponse"}}}}}},"delete":{"tags":["webhook-controller"],"operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/user_role/{id}":{"get":{"tags":["user-role-controller"],"operationId":"findById_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserRoleResponse"}}}}}},"put":{"tags":["user-role-controller"],"operationId":"update_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserRoleResponse"}}}}}},"delete":{"tags":["user-role-controller"],"operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/user/{id}":{"get":{"tags":["user-controller"],"operationId":"findById_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}},"put":{"tags":["user-controller"],"operationId":"update_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}},"delete":{"tags":["user-controller"],"operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/transaction/{id}":{"get":{"tags":["transaction-controller"],"operationId":"findById_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionResponse"}}}}}},"put":{"tags":["transaction-controller"],"operationId":"update_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTransactionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionResponse"}}}}}},"delete":{"tags":["transaction-controller"],"operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/team_member/{id}":{"get":{"tags":["team-member-controller"],"operationId":"findById_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}},"put":{"tags":["team-member-controller"],"operationId":"update_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTeamMemberRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}},"delete":{"tags":["team-member-controller"],"operationId":"delete_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/subscription/{id}":{"get":{"tags":["subscription-controller"],"operationId":"findById_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionResponse"}}}}}},"put":{"tags":["subscription-controller"],"operationId":"update_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSubscriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionResponse"}}}}}},"delete":{"tags":["subscription-controller"],"operationId":"delete_6","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/settlement_transaction/{id}":{"get":{"tags":["settlement-transaction-controller"],"operationId":"findById_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SettlementTransactionResponse"}}}}}},"put":{"tags":["settlement-transaction-controller"],"operationId":"update_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSettlementTransactionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SettlementTransactionResponse"}}}}}},"delete":{"tags":["settlement-transaction-controller"],"operationId":"delete_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/settlement/{id}":{"get":{"tags":["settlement-controller"],"operationId":"findById_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SettlementResponse"}}}}}},"put":{"tags":["settlement-controller"],"operationId":"update_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSettlementRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SettlementResponse"}}}}}},"delete":{"tags":["settlement-controller"],"operationId":"delete_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/service_tier/{id}":{"get":{"tags":["service-tier-controller"],"operationId":"findById_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceTierResponse"}}}}}},"put":{"tags":["service-tier-controller"],"operationId":"update_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateServiceTierRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceTierResponse"}}}}}},"delete":{"tags":["service-tier-controller"],"operationId":"delete_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/role_permission/{id}":{"get":{"tags":["role-permission-controller"],"operationId":"findById_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RolePermissionResponse"}}}}}},"put":{"tags":["role-permission-controller"],"operationId":"update_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRolePermissionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RolePermissionResponse"}}}}}},"delete":{"tags":["role-permission-controller"],"operationId":"delete_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/role/{id}":{"get":{"tags":["role-controller"],"operationId":"findById_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}}}},"put":{"tags":["role-controller"],"operationId":"update_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}}}},"delete":{"tags":["role-controller"],"operationId":"delete_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/product/{id}":{"get":{"tags":["product-controller"],"operationId":"findById_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}}}},"put":{"tags":["product-controller"],"operationId":"update_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}}}},"delete":{"tags":["product-controller"],"operationId":"delete_12","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/plan_feature/{id}":{"get":{"tags":["plan-feature-controller"],"operationId":"findById_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanFeatureResponse"}}}}}},"put":{"tags":["plan-feature-controller"],"operationId":"update_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePlanFeatureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanFeatureResponse"}}}}}},"delete":{"tags":["plan-feature-controller"],"operationId":"delete_13","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/plan/{id}":{"get":{"tags":["plan-controller"],"operationId":"findById_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanResponse"}}}}}},"put":{"tags":["plan-controller"],"operationId":"update_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePlanRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanResponse"}}}}}},"delete":{"tags":["plan-controller"],"operationId":"delete_14","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/permission/{id}":{"get":{"tags":["permission-controller"],"operationId":"findById_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionResponse"}}}}}},"put":{"tags":["permission-controller"],"operationId":"update_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePermissionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionResponse"}}}}}},"delete":{"tags":["permission-controller"],"operationId":"delete_15","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/notification-preferences/me":{"get":{"tags":["notification-preferences-controller"],"operationId":"get","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesResponse"}}}}}},"put":{"tags":["notification-preferences-controller"],"operationId":"save","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPreferencesResponse"}}}}}}},"/api/ndd_callback/{id}":{"get":{"tags":["ndd-callback-controller"],"operationId":"findById_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NddCallbackResponse"}}}}}},"put":{"tags":["ndd-callback-controller"],"operationId":"update_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateNddCallbackRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NddCallbackResponse"}}}}}},"delete":{"tags":["ndd-callback-controller"],"operationId":"delete_16","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/name_enquiry/{id}":{"get":{"tags":["name-enquiry-controller"],"operationId":"findById_17","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NameEnquiryResponse"}}}}}},"put":{"tags":["name-enquiry-controller"],"operationId":"update_17","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateNameEnquiryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NameEnquiryResponse"}}}}}},"delete":{"tags":["name-enquiry-controller"],"operationId":"delete_17","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/mandate/{id}":{"get":{"tags":["mandate-controller"],"operationId":"findById_18","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}},"put":{"tags":["mandate-controller"],"operationId":"update_18","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateMandateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}},"delete":{"tags":["mandate-controller"],"operationId":"delete_18","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/invoice_item/{id}":{"get":{"tags":["invoice-item-controller"],"operationId":"findById_19","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvoiceItemResponse"}}}}}},"put":{"tags":["invoice-item-controller"],"operationId":"update_19","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvoiceItemResponse"}}}}}},"delete":{"tags":["invoice-item-controller"],"operationId":"delete_19","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/invoice/{id}":{"get":{"tags":["invoice-controller"],"operationId":"findById_20","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvoiceResponse"}}}}}},"put":{"tags":["invoice-controller"],"operationId":"update_20","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvoiceResponse"}}}}}},"delete":{"tags":["invoice-controller"],"operationId":"delete_20","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/debit_instruction/{id}":{"get":{"tags":["debit-instruction-controller"],"operationId":"findById_21","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DebitInstructionResponse"}}}}}},"put":{"tags":["debit-instruction-controller"],"operationId":"update_21","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDebitInstructionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DebitInstructionResponse"}}}}}},"delete":{"tags":["debit-instruction-controller"],"operationId":"delete_21","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/customer/{id}":{"get":{"tags":["customer-controller"],"operationId":"findById_22","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerResponse"}}}}}},"put":{"tags":["customer-controller"],"operationId":"update_22","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCustomerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerResponse"}}}}}},"delete":{"tags":["customer-controller"],"operationId":"delete_22","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/customer-notification-preferences/me":{"get":{"tags":["customer-notification-preferences-controller"],"operationId":"get_1","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerNotifPreferencesResponse"}}}}}},"put":{"tags":["customer-notification-preferences-controller"],"operationId":"save_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerNotifPreferencesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerNotifPreferencesResponse"}}}}}}},"/api/coupon_redemption/{id}":{"get":{"tags":["coupon-redemption-controller"],"operationId":"findById_23","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CouponRedemptionResponse"}}}}}},"put":{"tags":["coupon-redemption-controller"],"operationId":"update_23","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponRedemptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CouponRedemptionResponse"}}}}}},"delete":{"tags":["coupon-redemption-controller"],"operationId":"delete_23","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/coupon/{id}":{"get":{"tags":["coupon-controller"],"operationId":"findById_24","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CouponResponse"}}}}}},"put":{"tags":["coupon-controller"],"operationId":"update_24","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCouponRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CouponResponse"}}}}}},"delete":{"tags":["coupon-controller"],"operationId":"delete_24","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/businesses/{id}":{"get":{"tags":["business-controller"],"operationId":"findById_25","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}},"put":{"tags":["business-controller"],"operationId":"update_25","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBusinessRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}},"delete":{"tags":["business-controller"],"operationId":"delete_25","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/businesses/me":{"get":{"tags":["business-controller"],"operationId":"getMyBusiness","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}},"put":{"tags":["business-controller"],"operationId":"updateMyBusiness","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBusinessRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}}},"/api/business_subscription/{id}":{"get":{"tags":["business-subscription-controller"],"operationId":"findById_26","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessSubscriptionResponse"}}}}}},"put":{"tags":["business-subscription-controller"],"operationId":"update_26","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBusinessSubscriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessSubscriptionResponse"}}}}}},"delete":{"tags":["business-subscription-controller"],"operationId":"delete_26","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/bank/{id}":{"get":{"tags":["bank-controller"],"operationId":"findById_27","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankResponse"}}}}}},"put":{"tags":["bank-controller"],"operationId":"update_27","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBankRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankResponse"}}}}}},"delete":{"tags":["bank-controller"],"operationId":"delete_27","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Unit"}}}}}}},"/api/auth/me":{"get":{"tags":["auth-controller"],"operationId":"getProfile","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserProfileResponse"}}}}}},"put":{"tags":["auth-controller"],"operationId":"updateProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserProfileResponse"}}}}}}},"/api/{stage}/ndd/name-enquiry":{"post":{"tags":["ndd-controller"],"operationId":"nameEnquiry","parameters":[{"name":"stage","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NddNameEnquiryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NddNameEnquiryControllerResponse"}}}}}}},"/api/webhooks/ndd":{"post":{"tags":["ndd-webhook-controller"],"operationId":"receiveCallback","parameters":[{"name":"X-Webhook-Signature","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/webhook_delivery":{"get":{"tags":["webhook-delivery-controller"],"operationId":"findAll","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"webhookDeliveryId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageWebhookDeliveryResponse"}}}}}},"post":{"tags":["webhook-delivery-controller"],"operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookDeliveryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookDeliveryResponse"}}}}}}},"/api/webhook":{"get":{"tags":["webhook-controller"],"operationId":"findAll_1","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"webhookId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageWebhookResponse"}}}}}},"post":{"tags":["webhook-controller"],"operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WebhookResponse"}}}}}}},"/api/user_role":{"get":{"tags":["user-role-controller"],"operationId":"findAll_2","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"userRoleId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageUserRoleResponse"}}}}}},"post":{"tags":["user-role-controller"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserRoleResponse"}}}}}}},"/api/user":{"get":{"tags":["user-controller"],"operationId":"findAll_3","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"userId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageUserResponse"}}}}}},"post":{"tags":["user-controller"],"operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserResponse"}}}}}}},"/api/transaction":{"get":{"tags":["transaction-controller"],"operationId":"findAll_4","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"transactionCreatedAt"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"desc"}},{"name":"customerId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageTransactionResponse"}}}}}},"post":{"tags":["transaction-controller"],"operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTransactionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionResponse"}}}}}}},"/api/tier-upgrade/initiate":{"post":{"tags":["tier-upgrade-controller"],"operationId":"initiateTierUpgrade","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitiateTierUpgradeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TierUpgradeResponse"}}}}}}},"/api/tier-upgrade/cancel":{"post":{"tags":["tier-upgrade-controller"],"operationId":"cancelTierSubscription","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/tier-upgrade/admin/activate-mandate/{mandateId}":{"post":{"tags":["tier-upgrade-controller"],"operationId":"adminActivateMandate","parameters":[{"name":"mandateId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/team_member":{"get":{"tags":["team-member-controller"],"operationId":"findAll_5","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"teamMemberId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageTeamMemberResponse"}}}}}},"post":{"tags":["team-member-controller"],"operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTeamMemberRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}}},"/api/team_member/{id}/suspend":{"post":{"tags":["team-member-controller"],"operationId":"suspend","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}}},"/api/team_member/{id}/reactivate":{"post":{"tags":["team-member-controller"],"operationId":"reactivate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}}},"/api/team_member/invite":{"post":{"tags":["team-member-controller"],"operationId":"invite","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InviteManagerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}}},"/api/subscription":{"get":{"tags":["subscription-controller"],"operationId":"findAll_6","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"subscriptionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"customerId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageSubscriptionResponse"}}}}}},"post":{"tags":["subscription-controller"],"operationId":"create_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSubscriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionResponse"}}}}}}},"/api/subscription/{id}/switch-plan":{"post":{"tags":["subscription-controller"],"operationId":"switchPlan","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPlanRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SwitchPlanResponse"}}}}}}},"/api/subscription/{id}/retry-charge":{"post":{"tags":["subscription-controller"],"operationId":"retryCharge","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionResponse"}}}}}}},"/api/subscription/{id}/cancel":{"post":{"tags":["subscription-controller"],"operationId":"cancel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelSubscriptionRequest"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionResponse"}}}}}}},"/api/subscription/{id}/activate":{"post":{"tags":["subscription-controller"],"operationId":"activate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionResponse"}}}}}}},"/api/settlement_transaction":{"get":{"tags":["settlement-transaction-controller"],"operationId":"findAll_7","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"settlementTransactionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageSettlementTransactionResponse"}}}}}},"post":{"tags":["settlement-transaction-controller"],"operationId":"create_7","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSettlementTransactionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SettlementTransactionResponse"}}}}}}},"/api/settlement":{"get":{"tags":["settlement-controller"],"operationId":"findAll_8","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"settlementId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageSettlementResponse"}}}}}},"post":{"tags":["settlement-controller"],"operationId":"create_8","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSettlementRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SettlementResponse"}}}}}}},"/api/service_tier":{"get":{"tags":["service-tier-controller"],"operationId":"findAll_9","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"serviceTierId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageServiceTierResponse"}}}}}},"post":{"tags":["service-tier-controller"],"operationId":"create_9","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateServiceTierRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceTierResponse"}}}}}}},"/api/role_permission":{"get":{"tags":["role-permission-controller"],"operationId":"findAll_10","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"rolePermissionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRolePermissionResponse"}}}}}},"post":{"tags":["role-permission-controller"],"operationId":"create_10","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRolePermissionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RolePermissionResponse"}}}}}}},"/api/role":{"get":{"tags":["role-controller"],"operationId":"findAll_11","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"roleId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageRoleResponse"}}}}}},"post":{"tags":["role-controller"],"operationId":"create_11","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}}}}},"/api/product":{"get":{"tags":["product-controller"],"operationId":"findAll_12","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"productId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"includeArchived","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageProductResponse"}}}}}},"post":{"tags":["product-controller"],"operationId":"create_12","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}}}}},"/api/product/{id}/upload-image-url":{"post":{"tags":["product-controller"],"operationId":"getImageUploadUrl","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"fileName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PresignedUploadResponse"}}}}}}},"/api/product/{id}/unarchive":{"post":{"tags":["product-controller"],"operationId":"unarchive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}}}}},"/api/product/{id}/archive":{"post":{"tags":["product-controller"],"operationId":"archive","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductResponse"}}}}}}},"/api/platform-config":{"get":{"tags":["platform-config-controller"],"operationId":"getConfig","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlatformConfigResponse"}}}}}},"post":{"tags":["platform-config-controller"],"operationId":"createOrUpdate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePlatformConfigRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlatformConfigResponse"}}}}}}},"/api/platform-config/wallet/transfer":{"post":{"tags":["platform-config-controller"],"operationId":"walletTransfer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminWalletTransferRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/platform-config/restore-biller-ids":{"post":{"tags":["platform-config-controller"],"operationId":"restoreBillerIds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreBillerIdsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlatformConfigResponse"}}}}}}},"/api/platform-config/register-biller":{"post":{"tags":["platform-config-controller"],"operationId":"registerAsBiller","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlatformConfigResponse"}}}}}}},"/api/platform-config/refund":{"post":{"tags":["platform-config-controller"],"operationId":"refund","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdminRefundRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AdminRefundResponse"}}}}}}},"/api/platform-config/create-rubies-account":{"post":{"tags":["platform-config-controller"],"operationId":"createRubiesAccount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlatformConfigResponse"}}}}}}},"/api/plan_feature":{"get":{"tags":["plan-feature-controller"],"operationId":"findAll_13","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"planFeatureId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagePlanFeatureResponse"}}}}}},"post":{"tags":["plan-feature-controller"],"operationId":"create_13","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePlanFeatureRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanFeatureResponse"}}}}}}},"/api/plan":{"get":{"tags":["plan-controller"],"operationId":"findAll_14","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"planId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagePlanResponse"}}}}}},"post":{"tags":["plan-controller"],"operationId":"create_14","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePlanRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PlanResponse"}}}}}}},"/api/permission":{"get":{"tags":["permission-controller"],"operationId":"findAll_15","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"permissionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagePermissionResponse"}}}}}},"post":{"tags":["permission-controller"],"operationId":"create_15","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePermissionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionResponse"}}}}}}},"/api/ndd_callback":{"get":{"tags":["ndd-callback-controller"],"operationId":"findAll_16","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"nddCallbackId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageNddCallbackResponse"}}}}}},"post":{"tags":["ndd-callback-controller"],"operationId":"create_16","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNddCallbackRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NddCallbackResponse"}}}}}}},"/api/name_enquiry":{"get":{"tags":["name-enquiry-controller"],"operationId":"findAll_17","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"nameEnquiryId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageNameEnquiryResponse"}}}}}},"post":{"tags":["name-enquiry-controller"],"operationId":"create_17","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNameEnquiryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NameEnquiryResponse"}}}}}}},"/api/mandate":{"get":{"tags":["mandate-controller"],"operationId":"findAll_18","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"mandateId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"customerId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageMandateResponse"}}}}}},"post":{"tags":["mandate-controller"],"operationId":"create_18","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateMandateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}}},"/api/mandate/{id}/swap":{"post":{"tags":["mandate-controller"],"operationId":"swapBankAccount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwapMandateBankAccountRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}}},"/api/mandate/{id}/send-verification-email":{"post":{"tags":["mandate-controller"],"operationId":"sendVerificationEmail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/mandate/{id}/resend-activation":{"post":{"tags":["mandate-controller"],"operationId":"resendActivation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/mandate/{id}/refresh-status":{"post":{"tags":["mandate-controller"],"operationId":"refreshStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}}},"/api/mandate/{id}/cancel":{"post":{"tags":["mandate-controller"],"operationId":"cancel_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}}},"/api/mandate/{id}/activate":{"post":{"tags":["mandate-controller"],"operationId":"activate_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MandateResponse"}}}}}}},"/api/invoice_item":{"get":{"tags":["invoice-item-controller"],"operationId":"findAll_19","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"invoiceItemId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageInvoiceItemResponse"}}}}}},"post":{"tags":["invoice-item-controller"],"operationId":"create_19","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInvoiceItemRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvoiceItemResponse"}}}}}}},"/api/invoice":{"get":{"tags":["invoice-controller"],"operationId":"findAll_20","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"invoiceId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageInvoiceResponse"}}}}}},"post":{"tags":["invoice-controller"],"operationId":"create_20","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInvoiceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvoiceResponse"}}}}}}},"/api/debit_instruction":{"get":{"tags":["debit-instruction-controller"],"operationId":"findAll_21","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"debitInstructionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDebitInstructionResponse"}}}}}},"post":{"tags":["debit-instruction-controller"],"operationId":"create_21","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDebitInstructionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DebitInstructionResponse"}}}}}}},"/api/debit-scheduler/trigger/trial-expiration":{"post":{"tags":["debit-scheduler-controller"],"operationId":"triggerTrialExpiration","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/debit-scheduler/trigger/retry":{"post":{"tags":["debit-scheduler-controller"],"operationId":"triggerRetry","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/debit-scheduler/trigger/billing":{"post":{"tags":["debit-scheduler-controller"],"operationId":"triggerBilling","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/debit-scheduler/retry/{subscriptionId}":{"post":{"tags":["debit-scheduler-controller"],"operationId":"retrySubscription","parameters":[{"name":"subscriptionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/customer":{"get":{"tags":["customer-controller"],"operationId":"findAll_22","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"customerId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}},{"name":"search","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageCustomerResponse"}}}}}},"post":{"tags":["customer-controller"],"operationId":"create_22","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCustomerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerResponse"}}}}}}},"/api/customer/{id}/resend-welcome-email":{"post":{"tags":["customer-controller"],"operationId":"resendWelcomeEmail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/customer/verify-email-otp":{"post":{"tags":["customer-controller"],"operationId":"verifyEmailOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyCustomerEmailOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/VerifyCustomerEmailOtpResponse"}}}}}}},"/api/customer/send-email-otp":{"post":{"tags":["customer-controller"],"operationId":"sendEmailOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendCustomerEmailOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SendCustomerEmailOtpResponse"}}}}}}},"/api/customer/onboard":{"post":{"tags":["customer-controller"],"operationId":"onboard","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerOnboardRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerOnboardResponse"}}}}}}},"/api/customer/invite":{"post":{"tags":["customer-controller"],"operationId":"sendInvite","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendCustomerInviteRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerInviteResponse"}}}}}}},"/api/customer/invite/{token}/decline":{"post":{"tags":["customer-controller"],"operationId":"declineInvite","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerInviteResponse"}}}}}}},"/api/customer/invite/{token}/accept":{"post":{"tags":["customer-controller"],"operationId":"acceptInvite","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcceptInviteRequest"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerInviteResponse"}}}}}}},"/api/customer/bulk":{"post":{"tags":["customer-controller"],"operationId":"bulkCreate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkCreateCustomerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BulkCreateCustomerResponse"}}}}}}},"/api/customer-portal/verify-mandate-otp":{"post":{"tags":["customer-portal-controller"],"operationId":"verifyMandateOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyMandateOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/VerifyMandateOtpResponse"}}}}}}},"/api/customer-portal/send-mandate-otp":{"post":{"tags":["customer-portal-controller"],"operationId":"sendMandateOtp","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMandateOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SendMandateOtpResponse"}}}}}}},"/api/coupon_redemption":{"get":{"tags":["coupon-redemption-controller"],"operationId":"findAll_23","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"couponRedemptionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageCouponRedemptionResponse"}}}}}},"post":{"tags":["coupon-redemption-controller"],"operationId":"create_23","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCouponRedemptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CouponRedemptionResponse"}}}}}}},"/api/coupon":{"get":{"tags":["coupon-controller"],"operationId":"findAll_24","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"couponId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageCouponResponse"}}}}}},"post":{"tags":["coupon-controller"],"operationId":"create_24","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCouponRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CouponResponse"}}}}}}},"/api/coupon/validate":{"post":{"tags":["coupon-controller"],"operationId":"validate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateCouponRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ValidateCouponResponse"}}}}}}},"/api/businesses":{"get":{"tags":["business-controller"],"operationId":"findAll_25","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"businessId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageBusinessResponse"}}}}}},"post":{"tags":["business-controller"],"operationId":"create_25","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBusinessRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}}},"/api/businesses/{id}/unlock-pin":{"post":{"tags":["business-controller"],"operationId":"unlockPin","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/businesses/{id}/suspend":{"post":{"tags":["business-controller"],"operationId":"suspend_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuspendBusinessRequest"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}}},"/api/businesses/{id}/re-register-biller":{"post":{"tags":["business-controller"],"operationId":"reRegisterBiller","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}}},"/api/businesses/{id}/kyc/review":{"post":{"tags":["business-controller"],"operationId":"reviewKyc","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KycReviewRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/KycStatusResponse"}}}}}}},"/api/businesses/{id}/create-rubies-account":{"post":{"tags":["business-controller"],"operationId":"createRubiesAccount_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}}},"/api/businesses/{id}/activate":{"post":{"tags":["business-controller"],"operationId":"activate_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessResponse"}}}}}}},"/api/businesses/reversal":{"post":{"tags":["business-controller"],"operationId":"rubiesReversal","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RubiesReversalRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/businesses/me/verify-transaction-pin":{"post":{"tags":["business-controller"],"operationId":"verifyTransactionPin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyTransactionPinRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"boolean"}}}}}}}},"/api/businesses/me/set-transaction-pin":{"post":{"tags":["business-controller"],"operationId":"setTransactionPin","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetTransactionPinRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/businesses/me/rubies-transfer":{"post":{"tags":["business-controller"],"operationId":"myRubiesFundTransfer","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RubiesFundTransferRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/businesses/me/rubies-fund-wallet":{"post":{"tags":["business-controller"],"operationId":"myRubiesFundWallet","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RubiesFundWalletRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/businesses/me/kyc":{"get":{"tags":["business-controller"],"operationId":"getMyKycStatus","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/KycStatusResponse"}}}}}},"post":{"tags":["business-controller"],"operationId":"submitKyc","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KycSubmissionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/KycStatusResponse"}}}}}}},"/api/businesses/me/kyc/verify-account":{"post":{"tags":["business-controller"],"operationId":"verifyAccount","parameters":[{"name":"bankCode","in":"query","required":true,"schema":{"type":"string"}},{"name":"accountNumber","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NameMatchResponse"}}}}}}},"/api/businesses/me/kyc/validate":{"post":{"tags":["business-controller"],"operationId":"validateKyc","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KycValidateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/KycValidateResponse"}}}}}}},"/api/businesses/me/kyc/upload-url":{"post":{"tags":["business-controller"],"operationId":"getUploadUrl","parameters":[{"name":"fileName","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PresignedUploadResponse"}}}}}}},"/api/businesses/me/kyc/progress":{"post":{"tags":["business-controller"],"operationId":"saveKycProgress","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KycProgressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/KycStatusResponse"}}}}}}},"/api/business_subscription":{"get":{"tags":["business-subscription-controller"],"operationId":"findAll_26","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"businessSubscriptionId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageBusinessSubscriptionResponse"}}}}}},"post":{"tags":["business-subscription-controller"],"operationId":"create_26","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBusinessSubscriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessSubscriptionResponse"}}}}}}},"/api/bank":{"get":{"tags":["bank-controller"],"operationId":"findAll_27","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"bankId"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"asc"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageBankResponse"}}}}}},"post":{"tags":["bank-controller"],"operationId":"create_27","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBankRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankResponse"}}}}}}},"/api/bank/verify":{"post":{"tags":["bank-controller"],"operationId":"verifyAccount_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyBankAccountRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/auth/verify-email":{"post":{"tags":["auth-controller"],"operationId":"verifyEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyOtpRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}},"/api/auth/signup":{"post":{"tags":["auth-controller"],"operationId":"signup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignupRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthResponse"}}}}}}},"/api/auth/reset-password":{"post":{"tags":["auth-controller"],"operationId":"resetPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetPasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}},"/api/auth/resend-verification":{"post":{"tags":["auth-controller"],"operationId":"resendVerification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OtpStatusResponse"}}}}}}},"/api/auth/refresh-token":{"post":{"tags":["auth-controller"],"operationId":"refreshToken","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RefreshTokenRequest"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthResponse"}}}}}}},"/api/auth/otp-status":{"post":{"tags":["auth-controller"],"operationId":"otpStatus","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OtpStatusResponse"}}}}}}},"/api/auth/logout":{"post":{"tags":["auth-controller"],"operationId":"logout","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}},"/api/auth/logout-all-devices":{"post":{"tags":["auth-controller"],"operationId":"logoutAllDevices","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}},"/api/auth/login":{"post":{"tags":["auth-controller"],"operationId":"login","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthResponse"}}}}}}},"/api/auth/forgot-password":{"post":{"tags":["auth-controller"],"operationId":"forgotPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}},"/api/auth/email-recovery/initiate":{"post":{"tags":["email-recovery-controller"],"operationId":"initiate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailRecoveryInitiateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/auth/change-password":{"post":{"tags":["auth-controller"],"operationId":"changePassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangePasswordRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}},"/api/admin/email-preview":{"post":{"tags":["email-preview-controller"],"operationId":"sendAllTemplates","parameters":[{"name":"to","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/api/admin/audit-logs":{"get":{"tags":["audit-log-controller"],"operationId":"findAll_28","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"auditLogCreatedAt"}},{"name":"direction","in":"query","required":false,"schema":{"type":"string","default":"desc"}},{"name":"dateFrom","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"dateTo","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"action","in":"query","required":false,"schema":{"type":"string"}},{"name":"userEmail","in":"query","required":false,"schema":{"type":"string"}},{"name":"outcome","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageAuditLogResponse"}}}}}},"post":{"tags":["audit-log-controller"],"operationId":"create_28","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAuditLogRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuditLogResponse"}}}}}}},"/health":{"get":{"tags":["health-controller"],"operationId":"health","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/health/ready":{"get":{"tags":["health-controller"],"operationId":"readiness","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/health/live":{"get":{"tags":["health-controller"],"operationId":"liveness","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/tier-upgrade/status":{"get":{"tags":["tier-upgrade-controller"],"operationId":"getUpgradeStatus","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TierUpgradeStatusResponse"}}}}}}},"/api/tier-upgrade/platform-account":{"get":{"tags":["tier-upgrade-controller"],"operationId":"getPlatformAccount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/tier-upgrade/available-tiers":{"get":{"tags":["tier-upgrade-controller"],"operationId":"listAvailableTiers","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceTierResponse"}}}}}}}},"/api/tier-upgrade/admin/mandates":{"get":{"tags":["tier-upgrade-controller"],"operationId":"listTierMandates","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TierMandateAdminResponse"}}}}}}}},"/api/team_member/me":{"get":{"tags":["team-member-controller"],"operationId":"findMyTeam","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamMemberResponse"}}}}}}}},"/api/subscription/customer-status":{"get":{"tags":["subscription-controller"],"operationId":"checkCustomerStatus","parameters":[{"name":"customerId","in":"query","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerSubscriptionStatusResponse"}}}}}}},"/api/subscription/check-active":{"get":{"tags":["subscription-controller"],"operationId":"checkActive","parameters":[{"name":"customerId","in":"query","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"planId","in":"query","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SubscriptionCheckResponse"}}}}}}},"/api/subscription/active-subscribers":{"get":{"tags":["subscription-controller"],"operationId":"getActiveSubscribers","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageActiveSubscriberResponse"}}}}}}},"/api/product/{id}/cohorts":{"get":{"tags":["product-controller"],"operationId":"getCohorts","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductCohortBreakdownResponse"}}}}}}},"/api/platform-config/wallet/transactions":{"get":{"tags":["platform-config-controller"],"operationId":"getWalletTransactions","parameters":[{"name":"startDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"endDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/platform-config/wallet/account":{"get":{"tags":["platform-config-controller"],"operationId":"getWalletAccount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/platform-config/biller-history":{"get":{"tags":["platform-config-controller"],"operationId":"getBillerHistory","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{"type":"object"}}}}}}}}},"/api/debit-scheduler/past-due":{"get":{"tags":["debit-scheduler-controller"],"operationId":"getPastDueSubscriptions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"object","additionalProperties":{"type":"object"}}}}}}}}},"/api/debit-scheduler/mandate/{mandateId}/debits":{"get":{"tags":["debit-scheduler-controller"],"operationId":"getDebitsByMandate","parameters":[{"name":"mandateId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/debit-scheduler/dashboard":{"get":{"tags":["debit-scheduler-controller"],"operationId":"getDashboard","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/api/customer/me/invites":{"get":{"tags":["customer-controller"],"operationId":"getMyInvites","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerInviteResponse"}}}}}}}},"/api/customer/invite/{token}":{"get":{"tags":["customer-controller"],"operationId":"getInviteByToken","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerInviteResponse"}}}}}}},"/api/customer/invite/lookup":{"get":{"tags":["customer-controller"],"operationId":"lookup","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerLookupResponse"}}}}}}},"/api/customer-portal/my-businesses":{"get":{"tags":["customer-portal-controller"],"operationId":"getMyBusinesses","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CustomerBusinessInfoResponse"}}}}}}}},"/api/customer-portal/me/metrics":{"get":{"tags":["metrics-controller"],"operationId":"forMyCustomer","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CustomerMetricsResponse"}}}}}}},"/api/customer-portal/business-payment-details/{businessId}":{"get":{"tags":["customer-portal-controller"],"operationId":"getBusinessPaymentDetails","parameters":[{"name":"businessId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessPaymentDetailsResponse"}}}}}}},"/api/businesses/{id}/kyc":{"get":{"tags":["business-controller"],"operationId":"getBusinessKycStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/KycStatusResponse"}}}}}}},"/api/businesses/{id}/kyc/document-url":{"get":{"tags":["business-controller"],"operationId":"getKycDocumentUrl","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/api/businesses/slug/{slug}":{"get":{"tags":["business-controller"],"operationId":"findBySlug","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicBusinessResponse"}}}}}}},"/api/businesses/me/rubies-transactions":{"get":{"tags":["business-controller"],"operationId":"getMyRubiesTransactions","parameters":[{"name":"startDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"endDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/businesses/me/rubies-statement":{"get":{"tags":["business-controller"],"operationId":"getMyRubiesStatement","parameters":[{"name":"startDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"endDate","in":"query","required":true,"schema":{"type":"string"}},{"name":"sendToEmail","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/businesses/me/rubies-account":{"get":{"tags":["business-controller"],"operationId":"getMyRubiesAccount","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/businesses/me/has-transaction-pin":{"get":{"tags":["business-controller"],"operationId":"hasTransactionPin","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"boolean"}}}}}}}},"/api/businesses/kyc/review-queue":{"get":{"tags":["business-controller"],"operationId":"getKycReviewQueue","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/KycStatusResponse"}}}}}}}},"/api/businesses/banks/commercial":{"get":{"tags":["business-controller"],"operationId":"getCommercialBanks","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommercialBankResponse"}}}}}}}},"/api/business_subscription/my-tier":{"get":{"tags":["business-subscription-controller"],"operationId":"getMyTier","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TierInfoResponse"}}}}}}},"/api/business/me/metrics":{"get":{"tags":["metrics-controller"],"operationId":"forMyBusiness","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BusinessMetricsResponse"}}}}}}},"/api/business/me/metrics/revenue-series":{"get":{"tags":["metrics-controller"],"operationId":"revenueSeriesForMyBusiness","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MonthlyRevenuePoint"}}}}}}}},"/api/auth/sessions":{"get":{"tags":["auth-controller"],"operationId":"getSessions","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ActiveSessionResponse"}}}}}}}},"/api/auth/email-recovery/status":{"get":{"tags":["email-recovery-controller"],"operationId":"status","parameters":[{"name":"accountNumber","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmailRecoveryStatusResponse"}}}}}}},"/api/admin/metrics":{"get":{"tags":["metrics-controller"],"operationId":"forAdmin","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AdminMetricsResponse"}}}}}}},"/api/admin/audit-logs/{id}":{"get":{"tags":["audit-log-controller"],"operationId":"findById_28","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuditLogResponse"}}}}}}},"/":{"get":{"tags":["root-controller"],"operationId":"root","responses":{"200":{"description":"OK","content":{"text/html":{"schema":{"type":"string"}}}}}}},"/api/auth/sessions/{sessionId}":{"delete":{"tags":["auth-controller"],"operationId":"revokeSession","parameters":[{"name":"sessionId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MessageResponse"}}}}}}}},"components":{"schemas":{"UpdateWebhookDeliveryRequest":{"type":"object","properties":{"webhookDeliveryWebhookId":{"type":"string","format":"uuid"},"webhookDeliveryEventType":{"type":"string"},"webhookDeliveryPayload":{"type":"string"},"webhookDeliveryResponseCode":{"type":"integer","format":"int32"},"webhookDeliveryResponseBody":{"type":"string"},"webhookDeliveryAttempts":{"type":"integer","format":"int32"},"webhookDeliveryNextRetryAt":{"type":"string","format":"date-time"},"webhookDeliveryDeliveredAt":{"type":"string","format":"date-time"},"webhookDeliveryStatus":{"type":"string"},"webhookDeliveryCreatedAt":{"type":"string","format":"date-time"}}},"WebhookDeliveryResponse":{"type":"object","properties":{"webhookDeliveryId":{"type":"string","format":"uuid"},"webhookDeliveryWebhookId":{"type":"string","format":"uuid"},"webhookDeliveryEventType":{"type":"string"},"webhookDeliveryPayload":{"type":"string"},"webhookDeliveryResponseCode":{"type":"integer","format":"int32"},"webhookDeliveryResponseBody":{"type":"string"},"webhookDeliveryAttempts":{"type":"integer","format":"int32"},"webhookDeliveryNextRetryAt":{"type":"string","format":"date-time"},"webhookDeliveryDeliveredAt":{"type":"string","format":"date-time"},"webhookDeliveryStatus":{"type":"string"},"webhookDeliveryCreatedAt":{"type":"string","format":"date-time"}}},"UpdateWebhookRequest":{"type":"object","properties":{"webhookUrl":{"type":"string"},"webhookEvents":{"type":"array","items":{"type":"string"}},"webhookIsActive":{"type":"boolean"},"webhookDescription":{"type":"string"},"webhookSecret":{"type":"string"}}},"WebhookResponse":{"required":["webhookEvents","webhookIsActive"],"type":"object","properties":{"webhookId":{"type":"string","format":"uuid"},"webhookBusinessId":{"type":"string","format":"uuid"},"webhookUrl":{"type":"string"},"webhookEvents":{"type":"array","items":{"type":"string"}},"webhookIsActive":{"type":"boolean"},"webhookDescription":{"type":"string"},"webhookFailureCount":{"type":"integer","format":"int32"},"webhookLastDeliveredAt":{"type":"string","format":"date-time"},"webhookStatus":{"type":"string"},"webhookCreatedAt":{"type":"string","format":"date-time"},"webhookUpdatedAt":{"type":"string","format":"date-time"}}},"UpdateUserRoleRequest":{"type":"object","properties":{"userRoleUserId":{"type":"string","format":"uuid"},"userRoleRoleId":{"type":"string","format":"uuid"},"userRoleStatus":{"type":"string"},"userRoleCreatedAt":{"type":"string","format":"date-time"},"userRoleUpdatedAt":{"type":"string","format":"date-time"}}},"UserRoleResponse":{"required":["userRoleCreatedAt","userRoleRoleId","userRoleStatus","userRoleUpdatedAt","userRoleUserId"],"type":"object","properties":{"userRoleId":{"type":"string","format":"uuid"},"userRoleUserId":{"type":"string","format":"uuid"},"userRoleRoleId":{"type"
[...]
